import { ElementRef } from '@angular/core';
import { ICycleJSONLD, Practice, TermTermType } from '@hestia-earth/schema';
import * as i0 from "@angular/core";
export declare class CyclesPracticesTimelineComponent {
    private el;
    private filterTermTypes?;
    cycle: ICycleJSONLD;
    now: Date;
    TermTermType: typeof TermTermType;
    constructor(el: ElementRef);
    get practices(): Practice[];
    trackByPractice(_index: number, { term }: Practice): any;
    get lineWidth(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<CyclesPracticesTimelineComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CyclesPracticesTimelineComponent, "he-cycles-practices-timeline", never, { "filterTermTypes": "filterTermTypes"; "cycle": "cycle"; }, {}, never, never>;
}
